Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111176 - Creating vm from template Menu has options that are redundant (Special Case: Crossed domain template)
Summary: Creating vm from template Menu has options that are redundant (Special Case: ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 12:01 UTC by Ori Gofen
Modified: 2016-02-10 19:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-26 15:22:14 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description Ori Gofen 2014-06-19 12:01:46 UTC
Description of problem:

This bug is a special case of BZ #1101003 (see description)

A "Crossed domain template"(not a real term just to simplify the explanation) is a template that was created from a vm which had a raw sparse disk (nfs thin disk for example) and then was copied to a Block domain.

Creating vm from a "crossed domain template" Menu has redundant option.
choosing create vm as clone on block domain should give us just one choice  (preallocated).


Version-Release number of selected component (if applicable):
alpha2 build

How reproducible:
100%

Steps to Reproduce:
1.create vm+thin file disk
2.create template from this vm
3.copy template to block domain
4.add a new vm from template,choose the "crossed domain template"
5.browse to Resource Allocation,choose the options:block domain,clone

Actual results:
Two options to create are displayed,thin and preallocate

Expected results:
Should be only one,preallocate

Additional info:

Comment 1 Tal Nisan 2014-08-26 15:22:14 UTC
The logic is when you choose to create thin provision disk in a block device, it will be created as cow sparse even if it was copied from a file domain's raw sparse disk, for preallocated it will be created as raw preallocated thus both options are legal


Note You need to log in before you can comment on or make changes to this bug.